Bug 1458865 - [TPS Testing] - InstallTest and UpgradeTest - Failed dependencies - python-crypto and python-flask are needed
Summary: [TPS Testing] - InstallTest and UpgradeTest - Failed dependencies - python-cr...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.3
Assignee: tserlin
QA Contact: Vasishta
URL:
Whiteboard:
Keywords:
: 1459498 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 16:57 UTC by Vasishta
Modified: 2017-06-19 13:34 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-19 13:34:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC

Description Vasishta 2017-06-05 16:57:23 UTC
Description of problem:

tps-rpmtest - InstallTest and UpgradeTest tasks are failing with following log snippet

Upgrade test FAILED
Output from RPM Command:
error: Failed dependencies:
python-flask >= 0.10.1 is needed by ceph-iscsi-cli-2.0-4.el7cp.noarch
python-crypto is needed by ceph-iscsi-config-2.0-3.el7cp.noarch

For complete lot please refer - http://nest.test.redhat.com/mnt/qa/scratch/host-8-182-173/2017:27897/tps/tps-rpmtest.html
 
Additional info:
Erratum 2017:27897

Comment 9 Vasishta 2017-06-07 07:35:36 UTC
Hi,

Both InstallTest and UpgradeTest are failing with following log snippet -

Output from RPM Command:
error: Failed dependencies:
python-itsdangerous is needed by python-flask-1:0.10.1-5.el7.noarch
python-werkzeug is needed by python-flask-1:0.10.1-5.el7.noarch

Please refer the link mentioned in Description ( Comment 0) for complete log.
Moving back to ASSIGNED state.


Regards,
Vasishta

Comment 10 Ian Colle 2017-06-07 10:59:49 UTC
*** Bug 1459498 has been marked as a duplicate of this bug. ***

Comment 13 Vasishta 2017-06-08 04:02:57 UTC
Hi Thomas,

Can you please address BZ 1459498 also ?

It was closed as duplicate of this bug. tps-make-list task is failing on mon channel for "Missing Released Package Info" on for python-crypto, python-crypto-debuginfo and pthon-flask which were included to fix dependency issues as mentioned in this BZ.
(Dependency issue was on tools channel, whereas "Missing Released Package Info" is on mon channel) 

Can you please refer BZ 1459498 for more info ?
Please let me know if there are any concerns.


Regards, 
Vasishta

Comment 16 Vasu Kulkarni 2017-06-08 16:42:06 UTC
python-itsdangerous and python-werkzeug come from  rhel-7-server-extras-rpms

Comment 17 Ken Dreyer (Red Hat) 2017-06-08 16:44:34 UTC
(In reply to Vasu Kulkarni from comment #16)
> python-itsdangerous and python-werkzeug come from  rhel-7-server-extras-rpms

Right, but we don't tell customers to enable RHEL Extras with RHCEPH 1.3 or RHCEPH 2. (We probably will for RHCEPH 3).

Comment 18 Vasu Kulkarni 2017-06-08 17:00:27 UTC
I have been enabling that and using it for testing for long time, i haven't seen any issues with enabling that repo, we could fix docs.

Comment 19 Vasu Kulkarni 2017-06-08 17:18:54 UTC
ignore my previous comments please, the tools repo complain is genuine.

Comment 27 errata-xmlrpc 2017-06-19 13:34:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.